---
title: llarp::BootstrapConfig

---

# llarp::BootstrapConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1BootstrapConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::vector< fs::path > | **[files](Classes/structllarp_1_1BootstrapConfig.md#variable-files)**  |
| [BootstrapList](Classes/structllarp_1_1BootstrapList.md) | **[routers](Classes/structllarp_1_1BootstrapConfig.md#variable-routers)**  |
| bool | **[seednode](Classes/structllarp_1_1BootstrapConfig.md#variable-seednode)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable files

```cpp
std::vector< fs::path > files;
```


### variable routers

```cpp
BootstrapList routers;
```


### variable seednode

```cpp
bool seednode;
```


-------------------------------

Updated on 2023-01-26 at 19:35:17 +0000